Tspi_TPM_GetEventLog(3)

NAME
Tspi_TPM_GetEventLog- get the entire PCR event log.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_GetEventLog(TSS_HTPM        hTPM, UINT32* pulEventNumber,
                                TSS_PCR_EVENT** prgPcrEvents);

DESCRIPTION

Tspi_TPM_GetEventLog provides the whole event log that was used to create all of the PCRs.

PARAMETERS

  hTPM
Handle of the TPM object.

  pulEventNumber
Receives number of returned event data structures in prgPcrEvents parameter.

  prgPcrEvents
Receives a pointer to an array of PCR event data. If NULL, only the numberof elements is returned in pulEventNumber parameter.

RETURN CODES

Tspi_TPM_GetEventLog returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle to the TPM object.

TSS_E_INTERNAL_ERROR
    An error occurred internal to the TSS.

CONFORMING TO

Tspi_TPM_GetEventLog conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_GetEvent(3) Tspi_TPM_GetEvents(3).